<?php
require_once("/home/painel/public_html/admin/inc/conecta.php");
require_once("/home/painel/public_html/admin/inc/classe.ftp.php");

@mysqli_query($conexao,"CREATE TABLE IF NOT EXISTS `playlists_avisos` (
  `codigo` int(10) NOT NULL AUTO_INCREMENT,
  `codigo_stm` int(10) NOT NULL,
  `codigo_playlist` int(10) NOT NULL,
  `data` datetime NOT NULL,
  `aviso` longtext,
  PRIMARY KEY (`codigo`)
) ENGINE=MyISAM");

if(isset($_POST["porta"]) && isset($_POST["arquivo_playlist"])) {

	$porta = $_POST["porta"];
	$arquivo_playlist = $_POST["arquivo_playlist"].".pls";
	
	$path_musica = str_replace("/home/streaming/".$porta."/","",$_POST["path_musica"]);

	$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where porta = '".$porta."'"));
	$dados_playlist = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM playlists where arquivo = '".$arquivo_playlist."'"));
	$dados_playlist_musica = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM playlists_musicas where codigo_playlist = '".$dados_playlist["codigo"]."' AND path_musica = '".$path_musica."'"));
	
	if($dados_playlist_musica["codigo"] > 0 && $dados_playlist["codigo"] > 0) {
	
	$aviso = "Arquivo <strong>".$dados_playlist_musica["musica"]."</strong> removido automáticamente da playlist por não existir em seu FTP.";
	
	mysqli_query($conexao,"Delete From playlists_musicas where codigo = '".$dados_playlist_musica["codigo"]."'");
	
	mysqli_query($conexao,"INSERT INTO playlists_avisos (codigo_stm,codigo_playlist,data,aviso) VALUES ('".$dados_stm["codigo"]."','".$dados_playlist["codigo"]."',NOW(),'".$aviso."')");

	}
	
}
?>
